#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Use a local javascript file in a notebook.
# 
# The notebook saves a custom javascript file and reuses it. Freely inspired from [Jupyter Notebook - javascript](http://jupyter-notebook.readthedocs.io/en/stable/examples/Notebook/JavaScript%20Notebook%20Extensions.html#Back-to-theory).

# In[1]:


script = """
modify_demo = function(document, tagid) {
    var zone = document.getElementById(tagid);
    var student = new Array();
    student[1]=23;
    student[2]=34;
    student[3]=67;
    student[4]=76;
    student[5]=51;
    student[6]=72;
    zone.innerHTML = "<b>Student results</b>";
    zone.innerHTML += "<ul>";
    var numStudents=0;
    var sum=0;
    var ans=0;
    for(var i in student){
        zone.innerHTML += "<li>Student "+i+": "+student[i]+"% (2)";
        numStudents++;
        sum=sum+student[i];
    }
    zone.innerHTML += "</ul>";
    ans=Math.round(sum/numStudents);
    zone.innerHTML += "student average is "+ans+"% -";
};
"""


# In[2]:


with open('custom_demo.js', "w") as f:
    f.write(script)


# We save the file in the local folder.

# In[3]:


import os
[_ for _ in os.listdir(os.getcwd()) if '.js' in _]


# In[4]:


get_ipython().run_cell_magic('html', '', '\n<div id="myfirstid">empty</div>\n')


# In[5]:


get_ipython().run_cell_magic('html', '', '\n<script src="custom_demo.js"></script>\n<script>\nmodify_demo(document, "myfirstid");\n</script>\n')


# The notebook is picking the javascript file inside the current folder.

# In[6]: